Web lists-archives.com

Re: Please update fontspec




On 5/3/2017 7:30 PM, Леон Майер wrote:
Dear texlive maintainers, might I ask you to update fontspec to v2.6 or newer. Reason: a nasty bug, see https://tex.stackexchange.com/questions/367559/emph-in-theorem-with-unicode-math-and-amsthm

fontspec is part of the Cygwin texlive-collection-latexrecommended package. Just rebuilding that package with an updated fontspec partially solves the problem, in the sense that your test case compiles under xelatex and lualatex and displays properly. But the compilation yields the following warning:

* fontspec warning: "tu-missing"
*
* The TU encoding seems to be missing; please update to the latest version of
* LaTeX2e.

In order to fix this properly without breaking other parts of TeX Live, I think I should update all the texlive-collection-* packages to their latest upstream releases in the now frozen TeX Live 2016.

I will do this, but it will take me a few days. In the meantime, I could make the partial fix available to you if it would be of use.

Ken Brown
Cygwin's TeX Live maintainer

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple